Bug 195085 - emulators/linux_base-f10: SRC_DISTFILES no longer contains gamin
Summary: emulators/linux_base-f10: SRC_DISTFILES no longer contains gamin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: patch, regression
Depends on:
Blocks:
 
Reported: 2014-11-16 22:10 UTC by Jan Beich
Modified: 2014-11-20 14:42 UTC (History)
0 users

See Also:


Attachments
remove orphan distfile (1.02 KB, patch)
2014-11-16 22:13 UTC, Jan Beich
no flags Details | Diff
add gamin src back (1.70 KB, patch)
2014-11-16 22:30 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-11-16 22:10:44 UTC
ports r368845 or 692eb08[1] removed gamin-0.1.9-6.fc10.src.rpm while leaving the file in distinfo. It appears the committer assumed CRITICAL is a Fedora mirror but unlisted[2] and the file can be easily found in archive[3].

[1] https://github.com/xmj/linux-ports/commit/692eb08
[2] https://mirrors.fedoraproject.org/publiclist/
[3] https://archives.fedoraproject.org/pub/archive/fedora/linux/releases/10/Everything/source/SRPMS/gamin-0.1.9-6.fc10.src.rpm
Comment 1 Bugzilla Automation freebsd_committer 2014-11-16 22:10:44 UTC
Auto-assigned to maintainer emulation@FreeBSD.org
Comment 2 Jan Beich freebsd_committer 2014-11-16 22:13:44 UTC
Created attachment 149497 [details]
remove orphan distfile

Maybe obsoleted by addition of the archive mirror in MASTER_SITES via separate bug.
Comment 3 Jan Beich freebsd_committer 2014-11-16 22:30:57 UTC
Created attachment 149498 [details]
add gamin src back

Ah, it seems src checksum was just truncated. i386.rpm checksum still matches the one in the archive.
Comment 4 Johannes Jost Meixner freebsd_committer 2014-11-17 00:23:52 UTC
I'll take it.
Comment 5 commit-hook freebsd_committer 2014-11-20 12:29:19 UTC
A commit references this bug:

Author: xmj
Date: Thu Nov 20 12:28:24 UTC 2014
New revision: 372910
URL: https://svnweb.freebsd.org/changeset/ports/372910

Log:
  emulators/linux_base-f10: re-add gamin distfile

  gamin-0.1.9-6.fc10.src.rpm distfile was lost when adding linux-c6
  infrastructure, re-add it to comply with GPL.

  PR: 		195085
  Differential Revision:	https://reviews.freebsd.org/D1180
  Submitted by: 	Jan Beich <jbeich@vfemail.net>
  Approved by:	koobs (mentor)

Changes:
  head/emulators/linux_base-f10/Makefile
  head/emulators/linux_base-f10/distinfo.i386
Comment 6 Johannes Jost Meixner freebsd_committer 2014-11-20 14:42:39 UTC
Committed, thanks!